! fs2uc8extern.f90: external functions used by fs2uc8.f90 program
!
! David Barnes, February 2006
!
! $Id: fs2uc9extern.f90,v 3.1 2007/04/04 23:07:00 dbarnes Exp $
!
!
      SUBROUTINE PTCB(T, IC)
      REAL*8 T
      INTEGER IC
      INTEGER BEENHERE
      INTEGER NP
      PARAMETER (NP=500)
      REAL XPTS(NP), YPTS(NP), ZPTS(NP)
      REAL DIST(NP), SIZE(NP)
      REAL X1, X2, Y1, Y2, Z1, Z2
      REAL*8 POS(3),UP(3),VDIR(3)
      REAL DMIN, DMAX

      SAVE BEENHERE,XPTS,YPTS,ZPTS

!     initialise if we need to
      if (BEENHERE.EQ.0) then
         call s2qwin(X1,X2,Y1,Y2,Z1,Z2)
         do 20 I=1,NP
            XPTS(I) = X1 + RAND(0) * (X2 - X1)
            YPTS(I) = Y1 + RAND(0) * (Y2 - Y1)
            ZPTS(I) = Z1 + RAND(0) * (Z2 - Z1)
 20      CONTINUE
         BEENHERE = 1
      ENDIF
!
!     based on camera, figure out distance to and size of points
      call ss2qc(POS, UP, VDIR, 1)
      DMIN = 9e30
      DMAX = -9e30
      do 30 I=1,NP 
         DIST(I) = sqrt((XPTS(I) - POS(1))**2 + &
              (YPTS(I) - POS(2))**2 + (ZPTS(I) - POS(3))**2)
         if (DIST(I).LT.DMIN) then
            DMIN = DIST(i)
         ENDIF
         IF (DIST(I).GT.DMAX) THEN
            DMAX = DIST(I)
         ENDIF
 30   CONTINUE
!
      DO 40 I=1,NP
         SIZE(I) = 8. - (DIST(I) - DMIN) / (DMAX - DMIN) * 6.
 40   CONTINUE
!
!     and now draw the points
      call s2chromacpts(NP, XPTS, YPTS, ZPTS, DIST,SIZE,DMIN,DMAX)
!
      END
