#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   int i;
   int marker;					/* Type of marker to use */
   float x, y, z;				/* Position */
   float r, g, b;				/* Colour */
   float size = 0.4;				/* Size of marker */

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   marker = 0;
   for (i=0;i<12;i++) {
      x = drand48()*2.0 - 1.0;			/* Random position */
      y = drand48()*2.0 - 1.0;
      z = drand48()*2.0 - 1.0;
      r = drand48();				/* Randomish colour */
      g = 1.0; 
      b = 0.3; 
      ns2m(marker, size, x,y,z, r,g,b);		/* Draw the marker */
      marker++;
      if (marker == 3) marker++;		/* There is no marker 3 */
      if (marker > 4) marker = 0;
   }

   s2show(1);					/* Open the s2plot window */
   
   return 1;
}
