#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   XYZ xyz   = { 0.0, 0.0, 0.0 };		/* Position */
   XYZ right = { 0.4, 0.3, 0.2 };		/* Right vector */
   XYZ up    = { 0.2, 0.8, -0.6 };		/* Up vector */
   COLOUR col = { 1.0, 0.0, 0.4 };		/* Colour */
   char *text = "S2PLOT is great!";

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-10.,10., -10.,10., -10.,10.);	/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   ns2vtext(xyz, right, up, col, text); 	/* Display some text */
   s2show(1);					/* Open the s2plot window */
   
   return 1;
}

