! fs2uc8.f90: demonstration / use case 9 for S2PLOT library.
!
! David Barnes, February 2006
!
! $Id: fs2uc9.f,v 3.4 2007/04/04 22:58:45 dbarnes Exp $
!
! This code produces a chromastereoscopic display of points
! in a normal flat projection.  It's really rather cool.  The points
! change colour depending on proximity to camera.  You'll need
! chromastereo glasses to "maximise" the depth effect/perception.
!
!     Some useful variables
      integer i
!
      external PTCB
!
!     open S2PLOT device
      call s2opend('/S2MONOF')
      call s2swin(-1., 1., -1., 1., -1., 1.)
!
!     load and install the chroma colour map
      i = ss2lcm('chromapal.txt', 100, 2000)
      call s2scir(100, 100+i-1)
!
!     install the callback
      call cs2scb(PTCB)
!     
!     Go into S2PLOT interactive mode
      call s2show(1)
!     
      end
